<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.chushang.task.mapper.TaskInfoMapper">
  <resultMap id="BaseResultMap" type="com.chushang.task.entity.TaskInfo">
    <!--@mbg.generated-->
    <!--@Table tb_task_info-->
    <id column="id" jdbcType="BIGINT" property="taskId" />
    <result column="task_name" jdbcType="VARCHAR" property="taskName" />
    <result column="application_name" jdbcType="VARCHAR" property="applicationName" />
    <result column="method_name" jdbcType="VARCHAR" property="methodName" />
    <result column="class_name" jdbcType="VARCHAR" property="className" />
    <result column="task_status" jdbcType="SMALLINT" property="taskStatus" />
    <result column="create_by" jdbcType="VARCHAR" property="createBy" />
    <result column="update_by" jdbcType="VARCHAR" property="updateBy" />
    <result column="create_time" jdbcType="TIMESTAMP" property="createTime" />
    <result column="update_time" jdbcType="TIMESTAMP" property="updateTime" />
    <result column="version" jdbcType="BIGINT" property="version" />
    <result column="del_state" jdbcType="BOOLEAN" property="delState" />
    <result column="params" jdbcType="LONGVARCHAR" property="params" />
    <result column="remark" jdbcType="VARCHAR" property="remark" />
    <result column="down_url" jdbcType="VARCHAR" property="downUrl" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--@mbg.generated-->
    id, task_name, application_name, method_name, class_name, task_status, create_by,
    update_by, create_time, update_time, version, del_state, params, remark, down_url
  </sql>
</mapper>
